class FollowsController < ApplicationController
  before_action :set_user

  # GET /:username/follows
  def index
    @observes = @user.observe_users
  end

  # GET /:username/followed
  def followed
    @observes = @user.observed_users
  end

  # POST /:username/follow
  def create
    Observe.create!(from_user: current_user, to_user: @user)
    redirect_to "/" + params[:username]
  end

  # DELETE /:username/follow
  def destroy
    Observe.find_by(from_user: current_user, to_user: @user).destroy
    redirect_to "/" + params[:username]
  end

  private

  def set_user
    @user = User.find_by(name: params[:username])
  end
end
